package httputil

import (
	"encoding/json"
	"net/http"
)

// WriteJSON returns the data as json to the client.
func WriteJSON(w http.ResponseWriter, data interface{}) {
	w.Header().Set("Content-Type", "application/json")
	err := json.NewEncoder(w).Encode(data)
	if err != nil {
		panic(err)
	}
}

// ReadJSON decodes the request body inside the given pointer.
func ReadJSON(r *http.Request, data interface{}) error {
	return json.NewDecoder(r.Body).Decode(data)
}
